Header

Visit us on the Web:

www.hitex.de

www.hitex.com

www.hitex.co.uk

____________________________________________________________________________________________________________________________________

MCB2100 Evaluation Board / User's Guide

This User’s Guide describes the MCB2100 Evaluation Board. It contains detailed operating instructions for the hardware in the following chapters:

– Introduction | gives an overview of the MCB2100 Board.
– Board Setup | shows how to connect the MCB2100 Board to the Tantino for ARM® 7-9 and describes the jumpers of the board.
– Hardware | explains the components of the MCB2100 Board in detail.

____________________________________________________________________________________________________________________________________

Also refer to the Quick Start Guide (PDF reader required).

Copyright © 2006 Hitex Development Tools GmbH – All rights reserved.


Introduction

Thank you for letting Hitex provide you with Keil's ARM based MCB2100 Evaluation Board and HiTOP for the Philips LPC2000 microcontroller family. With this kit you may generate code and then operate it on the MCB2100 Evaluation Board. This hands-on process helps you determine hardware and software components (see Quick Start Guide) required for current and future product development.

The MCB2100 Evaluation Board ships with the Philips LPC2129. This device is a superset of several other device variants of the Philips LPC2000 microcontroller series. The MCB2100 Board contains all hardware components that are required in a single-chip LPC2000 system and adds CAN and RS232 drivers.

MCB2100 Board

More:


Board Contents

The MCB2100 kits include the following:

•

MCB2100 Evaluation Board.


Board Setup

The MCB2100 Evaluation Board requires a 6V .. 9V DC power supply. Use the power supply shipped with the Starter Kit.

You may connect the JTAG interface of the MCB2100 Board to the Tantino for ARM. No additional software is required on the board. It is also possible to set breakpoints in Flash ROM which allows you to test production code.

More:

Hardware/Software Requirements

Using MCB2100 with Tantino for ARM

Board Components

Configuring the MCB2100

Jumpers in Detail


Hardware/Software Requirements

•

A PC running Microsoft Windows 2000/XP with USB port (for Tantino for ARM).

•

Hitex ARM Tool Chain with the HiTOP debugger. Several example programs for the MCB2100 are included (see Quick Start Guide).


Using MCB2100 with Tantino for ARM

To use the MCB2100 Evaluation Board with Tantino for ARM, you must:

•

Connect the Tantino to the PC via a standard USB cable (1).

•

Connect the Tantino to the JTAG connector of the MCB2100 board (2).

•

Make sure that J9 - JTAG is ON.

•

Connect power to the board using the provided power supply (3).

The following picture shows how to connect Tantino to the MCB2100 board.

Note
The Embedded ICE in the LPC2000 core is disabled when the device is in Power Down or Idle mode. Therefore Tantino will stop working when your code puts the ARM device into Idle or Power Down mode. So the application program should not put the ARM device into the power saving modes during the software development cycle.


Board Components

The following illustration shows the MCB2100 board and the important interface and hardware components.


Configuring the MCB2100

The MCB2100 Evaluation Board is configured using the jumpers J1 - J13 and is shipped with the following configuration:


Jumpers in Detail

The following section describes the jumpers used for the configuration of the MCB2100 board.

•

J1 - ISP: Enable for In-System Programming: When J1 is set, it is possible to generate a signal on P0.14 (EINT1) via the RTS line of the COM0 port. When RTS is active P0.14 is driven low. This is used to enter ISP (In-System Programming) mode.

•

J2 - AV: Analog Voltage for AIN0: connects POT1 potentiometer to analog input AIN0.

•

J3 - 3.3V: Supply Voltage for CPU: connects 3.3V Supply Voltage to CPU.

•

J4 - 1.8V: Supply Voltage for CPU: connects 1.8V Supply Voltage to CPU.

•

J5 - V3A: Analog Reference Voltage for CPU: connects 3.3V Supply Voltage to CPU Analog Reference Input V3A.

•

J6 - LED: Enable LED Driver: When J6 is set, the LED driver is enabled for Port1.16 - Port1.23 LED's.

•

J7 - INT1: Enable Push Button INT1: When J7 is set, the push button INT1 connects to the CPU I/O pin P0.14 (EINT1 input). When the push button is pressed a low signal is generated.

•

J8 - ETM: Enable Embedded Trace Module: When J8 is set, the Embedded Trace Module (ETM) is enabled. In this case the Port1.16 - Port1.23 LED's cannot be used since these pins share ETM signals.

•

J9 - JTAG: Enable JTAG Interface: When J9 is set, the JTAG interface is enabled. This is required for debugging via Tantino for ARM and for ISP flashing.

•

J10 - RST: Enable Reset via COM0 Port: When RST is set, it is possible to generate a CPU RESET signal via the DTR signal of the COM0 port. When DTR is active RESET is generated.

•

J11 - CAN: Enable CAN Driver: When J11 is off the CAN drivers (IC4 and IC5) are in standby mode.

•

J12 - RD1: Connect CAN Receiver Input RD1: When J12 is set the RD1 input is connected to CAN driver (IC4).

•

J13 - RD2: Connect CAN Receiver Input RD2: When J13 is set the RD2 input is connected to CAN driver (IC5).


Hardware

The MCB2100 is designed to be a very flexible evaluation board for the Philips LPC2000 device series. It supports up to two CAN interfaces (enabled using jumpers). The MCB2100 evaluation board can be expanded to build hardware prototypes. You can debug your application software via the Embedded ICE for example by connecting the Tantino for ARM.

More:

Hardware Blocks

Power Supply

LPC2129 Microcontroller

Configuration

JTAG Interface Connector

CAN Drivers

Status LEDs

Push Buttons

Serial Ports

Microcontroller Signals

Technical Data

Schematics

Printed Board Assembly for MCB2100


Hardware Blocks

This section describes the hardware blocks of the MCB2100 board. It provides a circuit description that helps you to understand the MCB2100 board components and describes how you may interface to the various I/O interfaces available.

The following block diagram shows the various I/O, configuration, and power systems on the board.


Power Supply

Power is supplied to the MCB2100 board by the power supply included with the Starter Kit. Connection is made using a standard barrel plug. On the board, 5 Volts, 3.3 Volts, and 1.8 Volts DC are generated by the voltage regulators IC8, IC7 and IC3.

The center hole provides positive voltage.


LPC2129 Microcontroller

The Philips LPC2129 microcontroller provided with the MCB2100 (IC1) board is a high-end LPC21xx device with on-chip CAN. A 12.0 MHz crystal provides the clock signal.


Configuration

The MCB2100 evaluation board is very flexible. You may change the operation of the board using the configuration jumpers. Features such as debug interfaces, CAN driver, and Analog Input Voltages can be configured using these jumpers. Refer to Jumpers in Detail for a description of the possible settings.

After changing configuration jumpers you must reset the MCB2100 board.

Note
The LPC21xx device provides many configuration options. Some of these settings are available via configuration resistors which are described in the following document:
MCB2100-Schematics.PDF


JTAG Interface Connector

The JTAG of the Philips LPC21xx device is connected to the JTAG interface connector. JTAG allows application debugging and programming of on-chip and off-chip Flash devices. The standard JTAG 20-pin connector is supported by Tantino for ARM.


CAN Drivers

The MCB2100 board supports dual CAN interfaces using the TJA 1040 CAN driver (IC4 and IC5) and termination resistors (R18 and R19). The driver settings may be changed by configuration jumpers.

Note
In case that the MCB2100 Board is connected to a CAN network you may need to remove the termination resistors R18 and R19 from the board. The CAN termination resistors are provided to allow easy connection of the boards by just using wires.


Status LEDs

The MCB2100 board has the following status LEDs:

•

POWER shows that the power supply is connected to the board.

•

P1.16 - P1.23 are connected to eight Port 1 pins and can be used to display program status while testing your applications.


Push Buttons

The MCB2100 board provides two buttons:

•

RESET is connected to the reset input of the microcontroller.

•

INT1 is connected to the NMI (Non-Maskable Interrupt) of the microcontroller.


Serial Ports

The MCB2100 board supports the ASC0 on-chip serial UART and uses a MAX232 (IC10) to convert the logic signals to RS-232 voltage levels. The ASC0 UART might be used in bootstrap mode to download debugging utilities like the Flash programming tools.

The serial ports (COM) are configured as a standard 3-wire interface. The DB9 connector is wired to loop the PC’s handshaking signals back to the PC. For details see the figure below.


Microcontroller Signals

All microcontroller signals are brought out to pins and are driven directly by the microcontroller. Exercise caution to avoid overloading these signal lines.


Technical Data


Schematics

The detailed schematics are available in the document

MCB2100-Schematics.PDF


Printed Board Assembly for MCB2100


History

mf_MCB2100-CD_e.doc

Next Version number: 006

Version

Datum

Bearbeiter

Bemerkungen

006x

2006-05-18

Ke

Überschriftsebene 3 erschien in der Navigation nicht

005x

2006-05-11

Ke

Layout der Inhaltsseite angepasst an neues Layout der HiTOP-Online-Hilfe, erforderliche Änderungen:

PDF-Link:

- Script-Code verkürzt, da der Function-Code nun in der zentralen Datei c:\Programme\ComponentOne\DocToHelp6\Themes\CHM\(Default)\DocToHelp.js enthalten ist.

CSS:
- muss neu eingespielt werden (neue und geänderte Formate bzgl. Tabellen)

Grafiken:
- Button HelpFileVersion ist neu: 'bu_HelpFileVersionXP.bmp'
- Bild Hitexgebäude ist neu (kleiner): 'hb_2.bmp'

In DOC:
- Überschrift 'Header' mit Format 'Titel'
- Überschrift 'xxx / User's Guide' mit Format 'MidTopic'
- PDF Reader Kapitel (für PopUp) einfügen

In Projekt-Datei (D2H):
- in Paragraph Styles: importieren aller Formatvorlagen aus *.doc

- in Paragraph Styles: Format 'Titel' > MISC > Type=Level1

- in Paragraph Styles: Format 'Titel' > MISC > Untitled=True

- in Paragraph Styles: Format 'MidTopic' > MISC > Type=Level1

- Contents: alle löschen und alle bisherigen manuell einfügen; als Default-Startseite einfügen: 'Header' und diesen Eintrag in der Navigation umbenennen in 'xxx / User's Guide'

004x

2006-03-10

Ke

Datums-Update; außerdem in Versionsfenster-Objekt für den Helpfile-Titel und die Datums- und Versionsangaben Felder eingefügt, hierfür muss die erste Helpfile-Überschrift die Textmarke "Title" erhalten und die Historytabelle die Textmarke "Historytabelle", komplette Realisierung durch den Makro "VersionsfensterAutomatisieren"

003x

2005-04-19

Ke

Gliederungsebenen geändert; CD-Version: Link auf PDF ist echter PDF-Link; "bush button" --> "push button"; "this pins" --> "these pins"

002x

2004-06-17

Ke

CD-Version: Link auf PDF ist echter PDF-Link; Titel geändert: MCB2100 User's Guide -> MCB2100 Evaluation Board / User's Guide

001x

2004-05-12

Ke

Neues Produkt


_popup_PDFReaderRequired

PDF Reader

Please note that a PDF reader is required to view the PDF files.

We recommend to download and install the Adobe® Reader® v6.0 or higher from www.adobe.com.